/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.buttons.content');

/**
 * Open the content tool.
 */
org.ametys.cms.buttons.content.OpenContentAction = function(controlId, configuration, pluginName)
{
	var targets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
	var target = org.ametys.messagebus.message.MessageTargetHelper.findFirst(targets, function(target) { return target.getType() == 'content' });
	
	if (target != null)
	{
	    var contentId = target.getParameters().id;
		var contentTool = org.ametys.uitool.ToolsManager.getInstance().getTool('content-' + contentId);
		if (contentTool == null)
		{
		    org.ametys.uitool.ToolsManager.getInstance().openTool ('uitool-content', {id: contentId});
		}
	}
}
