/*
 *  Copyright 2012 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.ribbon.button');

org.ametys.cms.ribbon.button.ToggleButtonWithMenu = function(id, configuration, pluginName) 
{
	org.ametys.cms.ribbon.button.ToggleButtonWithMenu.superclass.constructor.call(this, id, configuration, pluginName);
};

Ext.extend(org.ametys.cms.ribbon.button.ToggleButtonWithMenu, org.ametys.cms.ribbon.button.Menu, {});

org.ametys.cms.ribbon.button.ToggleButtonWithMenu.prototype.createControl = function(size, colspan)
{
	var element = org.ametys.cms.ribbon.button.ToggleButtonWithMenu.superclass.createControl.call(this, size, colspan);
	
	element.enableToggle = true;
	element.toggleHandler = this.onToggle;
	element.split = true;
	
	return element;
}

/**
 * @private
 * This handler is called when the toogle button state change
 */
org.ametys.cms.ribbon.button.ToggleButtonWithMenu.prototype.onToggle = function(button, state)
{
	var control = org.ametys.ribbon.RibbonManager.getInstance().getControls()[this.controlId];
	if (control.getConfiguration()['action'] != null)
	{
		eval(control.getConfiguration()['action'] + "(control.getId(), control.getConfiguration(), control.getPluginName(), state);");
	}
}
