/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.tool.group');

org.ametys.cms.tool.group.UserGroupButton = function(id, configuration, pluginName) 
{
	org.ametys.cms.tool.group.UserGroupButton.superclass.constructor.call(this, id, configuration, pluginName);
};

Ext.extend(org.ametys.cms.tool.group.UserGroupButton, org.ametys.ribbon.control.button.ActionButton, {});

org.ametys.cms.tool.group.UserGroupButton.prototype.onMessage = function (messages)
{
	// SELECTION
	for (var i=messages.length - 1; i >= 0; i--)
	{
		if (messages[i].getType().getName() == org.ametys.ribbon.RibbonManager.EVENTTYPE_SELECTIONCHANGED)
		{
			var targets = messages[i].getTargets();
			// No user group selected
			if (!this._isUserGroupSelection(targets))
			{
				this.getElements().each(function(element) { element.disable(); });
			}
			else
			{
				this.getElements().each(function(element) { element.enable(); });
			}
			
			return;
		}
	}
}

org.ametys.cms.tool.group.UserGroupButton.prototype._isUserGroupSelection = function(targets)
{
	var findGroup = false;
	var findUser = false;
	
	var allTargets = [];
	for (var i=0; i < targets.length; i++)
	{
		if (targets[i].getType() == "group")
		{
			findGroup = true;
		}
		else if (targets[i].getType() == "user")
		{
			findUser = true;
		}
		
		if (findGroup && findUser)
		{
			return true;
		}
	}
	return false;
}




