/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.tool.messagestracker');

org.ametys.cms.tool.messagestracker.RemoveAllButton = function(id, configuration, pluginName)
{
	org.ametys.cms.tool.messagestracker.RemoveAllButton.superclass.constructor.call(this, id, configuration, pluginName);
}

Ext.extend(org.ametys.cms.tool.messagestracker.RemoveAllButton, org.ametys.ribbon.control.button.ActionButton, {});

org.ametys.cms.tool.messagestracker.RemoveAllButton.removeAll = function(id, config, pluginName)
{
	var messageTrackerTool = org.ametys.uitool.ToolsManager.getInstance().getTool(config['role']);
	messageTrackerTool.removeAll();
}

org.ametys.cms.tool.messagestracker.RemoveAllButton.prototype.createControl = function(size, colspan)
{
	var element = org.ametys.cms.tool.messagestracker.RemoveAllButton.superclass.createControl.call(this, size, colspan);
	
	element.setDisabled(true);
	element.tooltip = org.ametys.fluent.Tooltip.create(
			this.getConfiguration()['label'], 
			context.contextPath + this.getConfiguration()['icon-medium'], 
			this.getConfiguration()['disabled-description'], 
			this.getConfiguration()['footer'] 
		);
	
	return element;
}

org.ametys.cms.tool.messagestracker.RemoveAllButton.prototype.onMessage = function(messages)
{
	for (var i=0; i < messages.length; i++)
	{
		var message = messages[i];
		if (message.getType().getName() == org.ametys.ribbon.RibbonManager.EVENTTYPE_TOOLOPENED && message.getTargets()[0].getParameters()['id'] == this.getConfiguration()['role'])
		{
			this.getElements().each(function(element) { element.setDisabled(false); });
			this.updateTooltip(this.getConfiguration()['default-description']);
		}
		else if (message.getType().getName() == org.ametys.ribbon.RibbonManager.EVENTTYPE_TOOLCLOSED && message.getTargets()[0].getParameters()['id'] == this.getConfiguration()['role']) 
		{
			this.getElements().each(function(element) { element.setDisabled(true);});
			this.updateTooltip(this.getConfiguration()['disabled-description']);
		}
	}
}
