/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.tool.profile');

org.ametys.cms.tool.profile.ProfileActionButton = function(id, configuration, pluginName) 
{
	org.ametys.cms.tool.profile.ProfileActionButton.superclass.constructor.call(this, id, configuration, pluginName);
};

Ext.extend(org.ametys.cms.tool.profile.ProfileActionButton, org.ametys.ribbon.control.button.ActionButton, {});

/**
 * @private
 * @property _lastParams The params received on the last refresh
 */
org.ametys.cms.tool.profile.ProfileActionButton.prototype._lastParams;

/**
 * @private
 * @property {String[]} _currentGroupsId The groups' id currently selected or null. 
 */
org.ametys.cms.tool.profile.ProfileActionButton.prototype._currentGroupsId;

org.ametys.cms.tool.profile.ProfileActionButton.prototype.onMessage = function (messages)
{
	// SELECTION
	for (var i=messages.length - 1; i >= 0; i--)
	{
		if (messages[i].getType().getName() == org.ametys.ribbon.RibbonManager.EVENTTYPE_SELECTIONCHANGED)
		{
			var targets = messages[i].getTargets();
			
			var allTargets = org.ametys.messagebus.message.MessageTargetHelper.findAll(targets, this.checkTarget());
			
			// No profile selected
			if (allTargets.length == 0)
			{
				this.getElements().each(function(element) { element.disable(); });
				
				var tooltip = this.getConfiguration()['default-description'];
				tooltip += '<br/><br/>';
				tooltip += this.getConfiguration()['no-selection'];
				this.updateTooltip (tooltip);
			}
			else
			{
				this.getElements().each(function(element) { element.enable(); });
				var tooltip = this.getConfiguration()['default-description'];
				this.updateTooltip (tooltip);
			}
			return;
		}
	}
}

org.ametys.cms.tool.profile.ProfileActionButton.prototype.checkTarget = function ()
{
	return function (target) { return target.getType() == 'profile-right'};
}
