/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.utils');

org.ametys.cms.utils.ResourcesUtility = {};
/**
 * Get the URL to view a binary resource (without attachment header)
 * @param {String} id The resource id
 * @static
 */
org.ametys.cms.utils.ResourcesUtility.getViewHref = function (contentId, metadadaPath)
{
	return getPluginDirectUrl ('cms') + '/binaryMetadata/' + metadadaPath + '?contentId=' + contentId;
}

/**
 * Get the URL to download a binary resource (with attachment header)
 * @param {String} id The resource id
 * @static
 */
org.ametys.cms.utils.ResourcesUtility.getDownloadHref = function (contentId, metadadaPath)
{
	return getPluginDirectUrl ('cms') + '/binaryMetadata/' + metadadaPath + '?contentId=' + contentId + '&download=true';
}