/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

// Ametys Namespace
Ext.namespace('org.ametys.fluent');

org.ametys.fluent.Tooltip = function()
{
	return {
		init : function(autoRender)
		{
			Ext.QuickTips.init(autoRender);
			
			Ext.QuickTips.getQuickTip().on('move', this.onMove, this);
			
		},
	
		create : function (title, image, text, footertext, inribbon)
		{
			return {
				title: title,
				text: "<div class='x-fluent-appbutton-tooltip'>" 
					+ 	 "<div class='x-fluent-appbutton-tooltip-text'>"
					+    (image ? "<img class='x-fluent-appbutton-tooltip-img' src='" + image + "'/>" : "") 
					+    text 
					+    "</div>"
					+    "<div class='x-clear'></div>"
					+    (footertext ? "<div class='x-fluent-appbutton-tooltip-footer'>" + footertext + "</div>" : "")
					+ "</div>",
					
				showDelay: 900,
				dismissDelay: 20000,
				
				width: image ? 318 : 210,
						
				ribbon: inribbon == false ? false : true
			};
		},
		
		onMove : function (tip)
		{
			if (tip.activeTarget.ribbon)
			{
				var newX = Ext.get(tip.activeTarget.target).getLeft() - 5;
				var newY = 145;
				
				var currentXY = tip.getPosition();
				if (currentXY[0] != newX || currentXY[1] != newY)
				{
					tip.setPagePosition(newX, newY);
				}
			}
		}
	};
}();
