/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

// Ametys Namespace
Ext.namespace('org.ametys.fluent.controls');

/**
 * Creates a toolbar
 * 
 * @class This class is a toolbar of buttons in a ribbon
 * @extends Ext.Panel
 * @constructor
 * @param {Object} config Configuration options
 */
org.ametys.fluent.controls.Toolbar = function(config) 
{
	config.layout = 'table';
	config.width = 'auto';
	
	org.ametys.fluent.controls.Toolbar.superclass.constructor.call(this, config);
	
	this.on('afterlayout', this._onAfterLayoutDoResize, this, {single: true});
}

Ext.extend
(
	org.ametys.fluent.controls.Toolbar, 
	Ext.Panel, 
	{
		cls: 'x-fluent-toolbar'
	}
);

/**
 * @private
 * Listener on layout process to resize the component
 */
org.ametys.fluent.controls.Toolbar.prototype._onAfterLayoutDoResize = function()
{
    this.body.setWidth("auto");
    this.el.setWidth("auto");

    var bodyWidth = this.body.getFrameWidth('lr') + this.body.dom.firstChild.offsetWidth;
    this.body.setWidth(bodyWidth);
    this.el.setWidth(bodyWidth + this.getFrameWidth());
}
