/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.messagebus');

/**
 * This is a interface. Do not call this constructor.
 * @constructor
 * @class This is a interface. Object which need to be registered on the {@link org.ametys.messagebus.MessageBus} have to implement this interface. 
 */
org.ametys.messagebus.MessageListener = function ()
{
	throw "MessageListener is a interface. You can not do 'new org.ametys.messagebus.MessageListener()'";
}

/**
 * Inherit this method to set your behavior when your receive a message.
 * @param {org.ametys.messagebus.message.Message[]} messages The messages received.
 */
org.ametys.messagebus.MessageListener.prototype.onMessage = function (messages)
{
	throw "onMessage is not implemented";
}
