/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.messagebus.bus.impl');

/**
 * @constructor
 * @extends org.ametys.messagebus.bus.MessageTargetFactory
 * @class This is the default implementation. Just creates a simple target (no sub targets)
 */
org.ametys.messagebus.bus.impl.BasicMessageTargetFactory = function ()
{
}

Ext.extend(org.ametys.messagebus.bus.impl.BasicMessageTargetFactory, org.ametys.messagebus.bus.MessageTargetFactory);

/**
 * The implementation does not create sub targets.
 * @param {String} type The type of target. Can not be null. 
 * @param {Map<id, value>} parameters The parameters needed by the factory to create the message. Can not be null. 
 * @return {org.ametys.messagebus.message.MessageTarget} The target created
 */
org.ametys.messagebus.bus.impl.BasicMessageTargetFactory.prototype.createTarget = function (type, parameters)
{
	return new org.ametys.messagebus.message.MessageTarget(type, parameters, []);
}

/**
 * The implementation does not create sub targets.
 * @param {String} type The type of target. Can not be null. 
 * @param {Map<id, value>} parameters The parameters needed by the factory to create the message. Can not be null. 
 * @return {org.ametys.messagebus.message.MessageTarget} The targets created in a Array
 */
org.ametys.messagebus.bus.impl.BasicMessageTargetFactory.prototype.createTargets = function (type, parameters)
{
	var target = this.createTarget(type, parameters);
	return [target];
}

