/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.control');

org.ametys.cms.control.DoubleInputField = function(id, configuration, pluginName)
{
	org.ametys.cms.control.DoubleInputField.superclass.constructor.call(this, id, configuration, pluginName);
}

Ext.extend(org.ametys.cms.control.DoubleInputField, org.ametys.cms.control.InputField, {});

org.ametys.cms.control.DoubleInputField.prototype.createControl = function(size, colspan)
{
	var panel = org.ametys.cms.control.DoubleInputField.superclass.createControl.call(this, size, colspan);
	panel.items.get(0).on('afterrender', this.onrenderlistener, this);
	panel.items.get(0).setReferenceValue = function(value)
	{
		this.referenceValue = value;
		if (this.rendered)
		{
			this.el2.dom.value = value;
		}
	}
	return panel;
}

org.ametys.cms.control.DoubleInputField.prototype.onrenderlistener = function(element)
{
	element.el2 = element.el.insertSibling({
		id: Ext.id(),
		cls: element.el.dom.className + " " + this.getConfiguration()['ref-cls'],
		readOnly: true,
		style: "width: " + element.el.dom.style.width + "; margin-left: 3px;",
		tag:'input'
	}, 'after');
	
	if (this.getConfiguration()['ref-description'] != null)
	{
        Ext.QuickTips.register(Ext.apply({
            target: element.el2.dom.id},
            org.ametys.fluent.Tooltip.create(
            		this.getConfiguration()['label'], 
            		null, 
            		this.getConfiguration()['ref-description'], 
            		null) 
        ));
	}

	if (element.referenceValue != null)
	{
		element.el2.dom.value = element.referenceValue;
	}
}
