/*
 *  Copyright 2011 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.uitool');


org.ametys.uitool.SlidePanel = function (config)
{
	config.autoHide = false; // Disable automatic slide in after delay
	
	config.slideOut = org.ametys.uitool.SlidePanel.Region._slideOut;
	config.slideIn = org.ametys.uitool.SlidePanel.Region._slideIn;
	config.slideInIf = org.ametys.uitool.SlidePanel.Region._slideInIf;
	
	org.ametys.uitool.SlidePanel.superclass.constructor.call(this, config);
}

Ext.extend(org.ametys.uitool.SlidePanel, Ext.Panel, {});


Ext.namespace('org.ametys.uitool.SlidePanel.Region');

/**
 * Got focus on active tool on slide-out
 */
org.ametys.uitool.SlidePanel.Region._slideOut = function ()
{
	Ext.layout.BorderLayout.Region.prototype.slideOut.call(this);
	
	// Get focus on active tool
	var toolPanel = this.panel.items.get(0);
	var activeTab = toolPanel.getActiveTab();
	if (activeTab != null)
	{
		// Force focus
		var tool = org.ametys.uitool.ToolsManager.getInstance().getTool(activeTab.uiTool);
		org.ametys.uitool.tool.ToolPanel.gotFocus (tool.parent);
	}
}

/**
 * Got focus on center tool on slide-in
 */
org.ametys.uitool.SlidePanel.Region._slideIn = function ()
{
	Ext.layout.BorderLayout.Region.prototype.slideIn.call(this);
	
	// Get focus on active tool of center region if the focus was in slide in region
	var p = org.ametys.uitool.tool.ToolPanel._focusedPanel;
	if (p != null && p.ownerCt.ownerCt.getId() == this.panel.getId())
	{
		org.ametys.uitool.ToolsManager.getInstance().gotFocusOnActiveCenterTool();
	}
}

org.ametys.uitool.SlidePanel.Region._slideInIf = function (e)
{
	// Always return false to not slide in on click event
	return false;
	
	/* Slide-in if target clicked is in wrapper for tools.
	 
	var t = e.getTarget();
	var w = Ext.getCmp('tools-panel-wrapper');
	
	if (!e.within(this.el) && t && w.getEl().contains(t)) 
	{
		this.slideIn();
    } */
}