/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.uitool.tool');

/**
 * UI interface for unique center tool
 * @param config Configuration options
 * @constructor
 */
org.ametys.uitool.tool.SimpleToolPanel = function(config) 
{
	org.ametys.uitool.tool.SimpleToolPanel.superclass.constructor.call(this, config);
}; 

Ext.extend(org.ametys.uitool.tool.SimpleToolPanel, Ext.Panel, 
{
	layout: 'fit',
	toolPanel: true,
	border: false
});

/**
 * Creates the panel associated with a tool
 * @param {org.ametys.uitool.tool.Tool} tool The tool to add
 */
org.ametys.uitool.tool.SimpleToolPanel.prototype.addUITool = function (tool)
{
	var oodPanel = tool.getOutOfPanel();
	var content = tool.createPanel();
	content.region = "center";
	
	var panel = new Ext.Panel ({
		layout: 'border',
		border: false,
		autoScroll: true,
		uiTool: tool.getId(),
		iconCls: "instyleicon",
		items : [content, oodPanel],
		oodPanel : oodPanel
	});
	
	tool.toolsPanel = this;
	tool.parent = panel;
	tool._repaintTooltip();
	
	this.add(panel);
}

